com.mapinfo.midev.persistence.kml

## Class KMLUtilities

- java.lang.Object
- - com.mapinfo.midev.persistence.kml.KMLUtilities

    public final class KMLUtilities
    extends Object

A class used to create and parse instances of an IFeatureGeometry stored in KML.

See Also:
  OGC KML version 2.2

### Method Summary

All Methods Static Methods Concrete Methods
`static IFeatureGeometry` `fromKML(String geometry)` Returns an IFeatureGeometry as parsed from the specified KML.
`static String` `toKML(IFeatureGeometry geometry)` Returns a String formatted in KML in the OGC standard KML2.2 namespace (http://www.opengis.net/kml/2.2) as parsed from the specified IFeatureGeometry instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### fromKML

    public static IFeatureGeometry fromKML(String geometry)

Returns an IFeatureGeometry as parsed from the specified KML.

Parameters:
  `geometry` - KML string. Only geometry or geometry in placemark will be parsed.
Returns:
  an instance of IFeatureGeometry.

#### toKML

    public static String toKML(IFeatureGeometry geometry)

Returns a String formatted in KML in the OGC standard KML2.2 namespace (http://www.opengis.net/kml/2.2) as parsed from the specified IFeatureGeometry instance.

Parameters:
  `geometry` - the IFeatureGeometry instance.
Returns:
  a String that represents an IFeatureGeometry in KML.